aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2017-05-05 19:31:42 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2017-05-05 19:32:46 +0000
commit147d2d76562eff6f7591a43061b3a970e5bcf74f (patch)
tree29b80e1cf1e7b87918d57f7dd33579fc85379bb4
parent90f4bdf07d7f88751574bf0387d2d0b1f2c97bb3 (diff)
downloadaports-147d2d76562eff6f7591a43061b3a970e5bcf74f.tar.gz
aports-147d2d76562eff6f7591a43061b3a970e5bcf74f.tar.bz2
aports-147d2d76562eff6f7591a43061b3a970e5bcf74f.tar.xz
community/midori: fix build with newer vala
-rw-r--r--community/midori/APKBUILD29
-rw-r--r--community/midori/valac-0.35.patch135
2 files changed, 145 insertions, 19 deletions
diff --git a/community/midori/APKBUILD b/community/midori/APKBUILD
index 6128bc6100..63aa370677 100644
--- a/community/midori/APKBUILD
+++ b/community/midori/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=midori
pkgver=0.5.11
-pkgrel=0
+pkgrel=1
pkgdesc="A lightweight web browser based on Gtk WebKit"
url="http://www.midori-browser.org"
arch="x86 x86_64"
@@ -10,22 +10,14 @@ depends=
makedepends="cmake librsvg-dev paxmark python2 vala gtk+3.0-dev gcr-dev libunique-dev webkit2gtk-dev"
subpackages="$pkgname-lang"
install=""
-source="http://www.midori-browser.org/downloads/midori_${pkgver}_all_.tar.bz2"
+source="http://www.midori-browser.org/downloads/midori_${pkgver}_all_.tar.bz2
+ valac-0.35.patch"
-_srcdir="${srcdir}/$pkgname-${pkgver}"
-_builddir="${srcdir}/build"
-prepare() {
- cd "$_srcdir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
-}
+builddir="${srcdir}/$pkgname-${pkgver}"
build() {
- mkdir "$_builddir"
- cd "$_builddir"
+ mkdir "$builddir"/build
+ cd "$builddir"/build
cmake \
-DCMAKE_BUILD_TYPE=Release \
-DCMAKE_INSTALL_PREFIX=/usr \
@@ -33,17 +25,16 @@ build() {
-DUSE_GTK3=ON \
-DHALF_BRO_INCOM_WEBKIT2=ON \
-DUSE_ZEITGEIST=OFF \
- "$_srcdir" || return 1
+ .. || return 1
make
}
package() {
- cd "$_builddir"
+ cd "$builddir"/build
make DESTDIR="$pkgdir" install || return 1
# PAX does not like the JIT
paxmark -mp "$pkgdir"/usr/bin/midori || return 1
}
-md5sums="fcc03ef759fce4fe9f2446d9da4a065e midori_0.5.11_all_.tar.bz2"
-sha256sums="96191a96be71144ae848a409fae5a1d6d52a00e583f33122081f47ead9c49c3d midori_0.5.11_all_.tar.bz2"
-sha512sums="237310d1f0bf70796474b9ec5be6755927e66acd2b527d04db39696c5e2f7ea2d11f7deb51ba3f5c151a450ab71e642282a1386e34253aaea1d8602ce76ac87d midori_0.5.11_all_.tar.bz2"
+sha512sums="237310d1f0bf70796474b9ec5be6755927e66acd2b527d04db39696c5e2f7ea2d11f7deb51ba3f5c151a450ab71e642282a1386e34253aaea1d8602ce76ac87d midori_0.5.11_all_.tar.bz2
+2a788e543cfa2e72f223b356792b59ff64116c9ac9dc1273c2dab6a7fbaf5d31eaad6291359638c43f8fad05511f1c3934b681ca33dfc1e8e90c48f2f7cb277e valac-0.35.patch"
diff --git a/community/midori/valac-0.35.patch b/community/midori/valac-0.35.patch
new file mode 100644
index 0000000000..821839a58b
--- /dev/null
+++ b/community/midori/valac-0.35.patch
@@ -0,0 +1,135 @@
+=== modified file 'extensions/transfers.vala'
+--- a/extensions/transfers.vala 2016-04-02 08:15:11 +0000
++++ b/extensions/transfers.vala 2017-02-15 18:50:47 +0000
+@@ -455,7 +455,7 @@
+ if (notifications.length () == 1)
+ msg = _("The file '<b>%s</b>' has been downloaded.").printf (filename);
+ else
+- msg = _("'<b>%s</b>' and %d other files have been downloaded.").printf (filename, notifications.length ());
++ msg = _("'<b>%s</b>' and %d other files have been downloaded.").printf (filename, (int) notifications.length ());
+ get_app ().send_notification (_("Transfer completed"), msg);
+ notifications = new GLib.List<string> ();
+ }
+
+=== modified file 'midori/midori-notebook.vala'
+--- a/midori/midori-notebook.vala 2016-04-02 08:15:11 +0000
++++ b/midori/midori-notebook.vala 2017-02-15 18:50:47 +0000
+@@ -10,7 +10,7 @@
+ */
+
+ namespace Midori {
+- protected class Tally : Gtk.EventBox {
++ internal class Tally : Gtk.EventBox {
+ public Midori.Tab tab { get; set; }
+ Gtk.Spinner spinner;
+ public Gtk.Label label;
+@@ -22,7 +22,7 @@
+ public bool close_button_left { get; set; default = false; }
+ public bool close_button_visible { get; set; default = false; }
+
+- protected Tally (Midori.Tab tab) {
++ internal Tally (Midori.Tab tab) {
+ this.tab = tab;
+ box = new Gtk.HBox (false, 1);
+ add (box);
+@@ -175,7 +175,7 @@
+ int last_tab_size = 0;
+
+ #if !HAVE_GTK3
+- static const string style_fixup = """
++ const string style_fixup = """
+ style "midori-close-button-style"
+ {
+ GtkWidget::focus-padding = 0
+
+=== modified file 'extensions/transfers.vala'
+--- a/extensions/transfers.vala 2015-08-20 06:18:50 +0000
++++ b/extensions/transfers.vala 2016-04-02 08:15:11 +0000
+@@ -342,7 +342,7 @@
+ icon = new Gtk.Image ();
+ button = new Gtk.Button ();
+ button.relief = Gtk.ReliefStyle.NONE;
+- button.focus_on_click = false;
++ button.set_focus_on_click (false);
+ button.clicked.connect (button_clicked);
+ button.add (icon);
+ box.pack_start (button, false, false, 0);
+
+=== modified file 'midori/midori-notebook.vala'
+--- a/midori/midori-notebook.vala 2016-02-20 23:47:11 +0000
++++ b/midori/midori-notebook.vala 2016-04-02 08:15:11 +0000
+@@ -41,7 +41,7 @@
+ box.pack_start (label, true, true, 0);
+ close = new Gtk.Button ();
+ close.relief = Gtk.ReliefStyle.NONE;
+- close.focus_on_click = false;
++ close.set_focus_on_click (false);
+ #if !HAVE_GTK3
+ close.name = "midori-close-button";
+ close.style_set.connect (close_style_set);
+
+diff --git a/extensions/adblock/widgets.vala b/extensions/adblock/widgets.vala
+index 757d35b..45880df 100644
+--- a/extensions/adblock/widgets.vala
++++ b/extensions/adblock/widgets.vala
+@@ -227,7 +227,7 @@ namespace Adblock {
+ liststore.get (iter, 0, out sub);
+ if (sub.mutable) {
+ config.remove (sub);
+- liststore.remove (iter);
++ liststore.remove (ref iter);
+ return true;
+ }
+ }
+diff --git a/extensions/apps.vala b/extensions/apps.vala
+index 16e2286..f81d351 100644
+--- a/extensions/apps.vala
++++ b/extensions/apps.vala
+@@ -265,7 +265,7 @@ namespace Apps {
+ store.get (iter, 0, out launcher);
+ try {
+ launcher.file.trash (null);
+- store.remove (iter);
++ store.remove (ref iter);
+
+ string filename = Midori.Download.clean_filename (launcher.name);
+ #if HAVE_WIN32
+diff --git a/extensions/history-list.vala b/extensions/history-list.vala
+index db71927..23d8263 100644
+--- a/extensions/history-list.vala
++++ b/extensions/history-list.vala
+@@ -223,7 +223,7 @@ namespace HistoryList {
+ FixMe: the retrun value of `Gtk.ListStore.remove` should be checked
+ Note: in some cases the return value of `Gtk.ListStore.remove` is wrong
+ */
+- model.remove (iter);
++ model.remove (ref iter);
+ this.browser.close_tab (view);
+ if (length > 2)
+ this.resize_treeview ();
+diff --git a/extensions/notes.vala b/extensions/notes.vala
+index f0ccfe6..c8d4c4a 100644
+--- a/extensions/notes.vala
++++ b/extensions/notes.vala
+@@ -116,7 +116,7 @@ namespace ClipNotes {
+ if (current_note == note) {
+ current_note = null;
+ }
+- notes_list_store.remove (iter);
++ notes_list_store.remove (ref iter);
+ break;
+ }
+ } while (notes_list_store.iter_next (ref iter));
+diff --git a/extensions/transfers.vala b/extensions/transfers.vala
+index ae95fa2..ad063b2 100644
+--- a/extensions/transfers.vala
++++ b/extensions/transfers.vala
+@@ -275,7 +275,7 @@ namespace Transfers {
+ Transfer found;
+ store.get (iter, 0, out found);
+ if (transfer == found) {
+- store.remove (iter);
++ store.remove (ref iter);
+ break;
+ }
+ } while (store.iter_next (ref iter));